const express = require("express")
const mongoose = require("mongoose")

const app = express()
app.set("view engine", "ejs")
app.use(express.static(__dirname + "/public"))
const port = 3000

mongoose.connect("mongodb://user:password@127.0.0.1:27017/fruits")

const fruitSchema = new mongoose.Schema({
    fruit: String,
    count: Number
}, {strict: false} )

const Fruits =mongoose.model("fruits", fruitSchema)

app.get("/", async (req, res) => {
    const fruits = await Fruits.find({})
    res.render("index", {fruits: fruits})
})

app.listen(port, () => {
    console.log(`App listening on port ${port}`)
})